- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat Struct Reference

List of all members.

## Detailed Description

### template<typename TypeName>
struct Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat

Storeage for the file version of the wave.

Definition at line 343 of file TWaveFileFormat.hpp.

## Public Attributes

- unsigned short m_bitsPerSample
- unsigned short m_blockAlignment
- unsigned long m_bytesPerSecond
- char m_dataId [4]
- unsigned long m_dataSize
- char m_formatId [4]
- unsigned long m_formatSize
- unsigned short m_formatTag
- unsigned short m_numberOfChannels
- unsigned long m_numberOfSamples
- char m_riffFormatId [4]
- char m_riffId [4]
- unsigned long m_riffSize
- unsigned long m_sampleRate

## Member Data Documentation

template<typename TypeName>

unsigned short Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_bitsPerSample

Bits per sample

Definition at line 360 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned short Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_blockAlignment

Block alignment

Definition at line 359 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_bytesPerSecond

Bytes per second

Definition at line 358 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

char Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_dataId[4]

'data'

Definition at line 364 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::isValidDataChunk(), and Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_dataSize

Size of the data

Definition at line 365 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

char Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_formatId[4]

'fmt '

Definition at line 351 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::isValidFormatChunk(), and Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_formatSize

Size of the format

Definition at line 352 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned short Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_formatTag

format, expects 1

Definition at line 355 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned short Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_numberOfChannels

Number of channels

Definition at line 356 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_numberOfSamples

Number of samples

Definition at line 361 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

char Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_riffFormatId[4]

'WAVE'

Definition at line 348 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::isValidRiffWaveChunk(), and Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

char Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_riffId[4]

'RIFF'

Definition at line 346 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::isValidRiffWaveChunk(), and Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_riffSize

Size of the file

Definition at line 347 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().

template<typename TypeName>

unsigned long Exponent::Audio::TWaveFileFormat< TypeName >::SWaveFileFormat::m_sampleRate

Sample rate

Definition at line 357 of file TWaveFileFormat.hpp.

Referenced by Exponent::Audio::TWaveFileFormat< TypeName >::readFileHeader().